Get segments
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/segments \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/segments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"segments": [
{
"createdAt": 123,
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"id": "<string>",
"modifiedAt": 123,
"modifiedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"source": "<string>",
"translation": "<string>",
"workflowLevel": 123,
"workflowStep": {
"abbr": "<string>",
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
]
}Job
Get segments
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
segments
Get segments
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Index of the first segment to return (0-based)
Required range:
x >= 0Index of the last segment to return; 0 returns all from beginIndex
Required range:
x >= 0Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I